#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBE,0x01,0x87,0xD6,0x6C,0x82,0x5D,0x8A,0x06,0x1F,0x1F,0x9D,
		0x44,0xD5,0x51,0xA9,0x6B,0x40,0xFD,0xFC,0x08,0xA9,0xB8,0xD7,
		0x9F,0x64,0xBD,0x71,0x9F,0x15,0x9F,0xCD,0x75,0xE2,0x73,0x98,
		0x76,0x59,0x52,0x56,0x3D,0x93,0xAE,0xBD,0x42,0x39,0x6D,0x96,
		0x90,0x83,0x9E,0x5E,0xCA,0xFC,0x12,0x76,0xEB,0xB6,0xCF,0x0A,
		0x47,0xCA,0x7D,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
